Package org.eclipse.rap.fileupload

# Class UploadTimeLimitExceededException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.rap.fileupload.UploadTimeLimitExceededException

All Implemented Interfaces:
  `Serializable`

public class UploadTimeLimitExceededException extends Exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UploadTimeLimitExceededException(long timeLimit, String fileName)`
Constructs a `UploadTimeLimitExceededException` with permitted time.

## Method Summary

Modifier and Type
Method
Description
`String`
`getFileName()`
Returns the name of the uploaded file when the execption occurs.
`long`
`getTimeLimit()`
Returns the maximum permitted file upload duration in milliseconds.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UploadTimeLimitExceededException

public UploadTimeLimitExceededException(long timeLimit, String fileName)
Constructs a `UploadTimeLimitExceededException` with permitted time.

Parameters:
  `timeLimit` - The maximum permitted file upload duration in milliseconds.
  `fileName` - The name of the uploaded file when the execption occurs.
Since:
  3.3

## Method Details

### getTimeLimit

public long getTimeLimit()
Returns the maximum permitted file upload duration in milliseconds.

### getFileName

public String getFileName()
Returns the name of the uploaded file when the execption occurs.